//
// Programmer:    Craig Stuart Sapp <craig@ccrma.stanford.edu>
// Creation Date: Sat Nov  2 23:39:21 PST 1996
// Last Modified: Tue Jan 27 22:50:00 GMT-0800 1998
// Filename:      ...sig/code/misc/sigControl.h
// Syntax:        C++ 
//

#ifndef _SIGCONTROL_H_INCLUDED
#define _SIGCONTROL_H_INCLUDED

// include MIDI definitions (channels, instruments, notenames):
#include "mididefines.h"


// include headers for control classes
#include "Timer.h"
#include "MidiMessage.h"
#include "MidiOutPort_visual.h"
#include "MidiOutPort_unsupported.h"
#include "MidiOutPort.h"
#include "MidiOutput.h"
#include "MidiInPort_visual.h"
#include "MidiInPort_unsupported.h"
#include "MidiInPort.h"
#include "MidiInput.h"
#include "MidiPort.h"
#include "MidiIO.h"
#include "RadioDrum.h"
#include "Synthesizer.h"


#endif  _SIGCONTROL_H_INCLUDED


